DtEditorPasteFromClipboard(library call)

NAME
DtEditorPasteFromClipboard — insert the clipboard selection into a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorPasteFromClipboard(
Widget widget);

DESCRIPTION

The DtEditorPasteFromClipboard function inserts the clipboard selection before the insertion cursor of the DtEditor widget. If the insertion cursor is inside the current selection, the clipboard selection replaces the selected text. Text can be cut or copied to the clipboard with DtEditorCutToClipboard(3) and DtEditorCopyToClipboard(3). Text can be selected and deselected programmatically with DtEditorSelectAll(3) and DtEditorDeselect(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorPasteFromClipboard function returns True; otherwise, if the widget does not own the primary selection, the function returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorClearSelection(3), DtEditorCutToClipboard(3), DtEditorCopyToClipboard(3), DtEditorDeleteSelection(3), DtEditorDeselect(3), DtEditorSelectAll(3), DtEditorUndoEdit(3).